Subject: Re: [PATCH 0/3] e1000,e1000e,igb: make ioport free for adapters that need NO ioport resources

From: Taku Izumi <[email-masked]>
Date: Mon, 23 Jun 2008 17:28:21 +0900

Dear Auke

>> * [PATCH 1/3] e1000: make ioport free
>> * [PATCH 2/3] e1000e: make ioport free
>> * [PATCH 3/3] igb: make ioport free
> 
> I think patch 2 and 3 are way too large since igb and e1000e can be totally ioport
> free at all times. There is no need to keep compatibility code for ioport in those
> drivers as it's unlikely that this will ever be needed.

I left an old implementation in case adapters that need ioport resources appear,
but it's true that these codes are a little redundant for igb and e1000e drivers.

> So, perhaps you can remove the ioport code from those 2 drivers (e1000e/igb)
> completely and resubmit to Jeff Kirsher?

  OK, I'll send them later.

Best regards,
Taku Izumi <[email-masked]>